## CamelMimeFilterToHTML

CamelMimeFilterToHTML

## Functions

CamelMimeFilter * | camel_mime_filter_tohtml_new ()
gchar * | camel_text_to_html ()

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterToHTML

## Description

## Functions

### camel_mime_filter_tohtml_new ()

    CamelMimeFilter *
    camel_mime_filter_tohtml_new (CamelMimeFilterToHTMLFlags flags,
                                  guint32 color);

Create a new CamelMimeFilterToHTML object to convert plain text into HTML.

#### Parameters

flags | bitwise flags defining the behaviour |
color | color to use when highlighting quoted text |

#### Returns

a new CamelMimeFilterToHTML object

### camel_text_to_html ()

    gchar *
    camel_text_to_html (const gchar *in,
                        CamelMimeFilterToHTMLFlags flags,
                        guint32 color);

Convert `in` from plain text into HTML.

#### Parameters

in | input text |
flags | bitwise flags defining the html conversion behaviour |
color | color to use when syntax highlighting |

#### Returns

a newly allocated string containing the HTMLified version of `in`